#pragma once

#include "afxwin.h"
#include <apl_api.h>
#include <apl_gui.h>
#include <CommonClasses.h>
#include "resource.h"

// CInternalView view

class CInternalView : public CEditView
{
	DECLARE_DYNCREATE(CInternalView)

protected:
	CInternalView();           // protected constructor used by dynamic creation
	virtual ~CInternalView();

public:
#ifdef _DEBUG
	virtual void AssertValid() const;
#ifndef _WIN32_WCE
	virtual void Dump(CDumpContext& dc) const;
#endif
#endif

	CaplAPI *m_api;
	CaplInstance *m_inst; // Текущий отображаемый объект

	UINT m_update_msg;
	UINT m_disconnect_msg;

	void UpdateTreeItem(CaplInstance *inst4update);  // Эта функция вызывается при выборе элемента в дереве


protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
};


